Bug 1144497 - DV6 should not report Product Name as EAP
Summary: DV6 should not report Product Name as EAP
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- EDS 5, Plugin -- Other
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER04
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: JON3-12
TreeView+ depends on / blocked
 
Reported: 2014-09-19 14:31 UTC by Libor Zoubek
Modified: 2015-11-02 00:44 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:03:38 UTC


Attachments (Terms of Use)
verified-screen-shot (92.54 KB, image/jpeg)
2014-10-10 11:37 UTC, Jeeva Kandasamy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1146610 None None None Never

Internal Trackers: 1146610

Description Libor Zoubek 2014-09-19 14:31:17 UTC
Description of problem:

DV6 Server is based on EAP6 standalone server

Version-Release number of selected component (if applicable):
JON 3.2.0

How reproducible: always


Steps to Reproduce:
1. install & import DV6
2. take a look at DV6 details or traits (Product Name & Product Version)
3.

Actual results: Plugin or DV6 reports it's product name as a stock EAP, it seems like product is not properly layered.


Expected results: DV6 resource reports it's product name as DV6 or similar


Additional info:

Comment 1 Libor Zoubek 2014-09-19 14:32:28 UTC
by DV I mean Data Virtualization

Comment 9 Libor Zoubek 2014-09-26 14:12:28 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/0d63e624a
time:    2014-09-26 16:10:19 +0200
commit:  0d63e624ae36a018a6712eb42e1413d174f5e738
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1144497 - DV6 should not report Product Name as EAP
         Workaround detecting DV6 product name by searching through
         child resources andn looking up resource type Teiid:Data
         Virtualization.

branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/82cd3f813
time:    2014-09-26 16:12:07 +0200
commit:  82cd3f8133c45828d5fccb8f2fe5444a0313e60f
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1144497 - DV6 should not report Product Name as EAP
         Workaround detecting DV6 product name by searching through
         child resources andn looking up resource type Teiid:Data
         Virtualization.
         (cherry picked from commit
         0d63e624ae36a018a6712eb42e1413d174f5e738) Signed-off-by: Libor
         Zoubek <lzoubek@redhat.com>

Comment 10 Simeon Pinder 2014-10-01 21:32:59 UTC
Moving to ON_QA as available for test with build:
https://brewweb.devel.redhat.com/buildinfo?buildID=388959

Comment 11 Jeeva Kandasamy 2014-10-10 11:37:24 UTC
Created attachment 945568 [details]
verified-screen-shot

Version:
JBoss Operations Network
Version : 3.3.0.ER04
Build Number : 99d2107:d7c537e
GWT Version : 2.5.0
SmartGWT Version : 3.0p

Verified:
DV and corresponding version selected automatically. Screen shot is attached.


Note You need to log in before you can comment on or make changes to this bug.